# Wiring

## Sensors

DS18B20 pinout:

| PIN | Use  |
|-----|------|
| 1   | VDD  |
| 2   | GND  |
| 3   | DQ   |

# Notes

## Solid state relays

The SSRs draw 5-7 mA when supplied with 3.3 V.

## RPi

A maximum of **16 mA per pin** with the total current from all pins not exceeding 51 mA.

## DS18B20

A DS18B20 temperature sensor draws up to 1.5 mA. It requires approx. 750 ms to convert at 12-bit resolution.

The DQ line must be pulled up by a 4.7 kohm resistor and connected to GPIO4.

The kernel needs to be configured via `/boot/config.txt`:

```
dtoverlay=w1-gpio-pullup,gpiopin=4
```

1-Wire drivers need to be loaded in order to create the connection between the physical sensor and the rPI.

```bash
modprobe wire
modprobe w1-gpio
modprobe w1-therm
```
